using System.Web.Mvc;
using System.Configuration;
using SelectPdf;
using System;

namespace SelectPdf.Samples.Controllers
{
    public class ModifyExistingPdfController : Controller
    {
        // GET: ModifyExistingPdf
        public ActionResult Index()
        {
            return View();
        }

        [HttpPost]
        public ActionResult SubmitAction(FormCollection collection)
        {
            // the initial file
            string file = Server.MapPath("~/files/doc1.pdf");

            // load the pdf document
            PdfDocument doc = new PdfDocument(file);

            // add a new page to the document
            PdfPage page = doc.AddPage();

            // create a new pdf font (component standard font)
            PdfFont font = doc.AddFont(PdfStandardFont.Helvetica);
            font.Size = 20;

            // create text element and add it to the new page
            PdfTextElement text = new PdfTextElement(100, 100,
                "Sample text added to an existing pdf document.", font);
            page.Add(text);

            // save pdf document
            byte[] pdf = doc.Save();

            // close pdf document
            doc.Close();

            // return resulted pdf document
            FileResult fileResult = new FileContentResult(pdf, "application/pdf");
            fileResult.FileDownloadName = "Document.pdf";
            return fileResult;
        }
    }
}